## python-npe2 0.7.8

=== Makefile ===
.PHONY: docs

docs:
	rm -rf docs/plugins
	python _docs/render.py
	rm -rf ./napari
	git clone --depth 1 --filter=blob:none --sparse -b update-plugin-docs https://github.com/tlambert03/napari.git
	(cd napari && git sparse-checkout set docs/plugins)
	cp napari/docs/plugins/* docs/plugins
	rm -rf ./napari
	jb build docs

# by default this will make a minor version bump (e.g v0.4.16 -> v0.4.17)
LAST := $(shell git tag -l | grep "v[0-9]+*" |  awk '!/rc/' | sort -V | tail -1)
SINCE := $(shell git log -1 -s --format=%cd --date=format:'%Y-%m-%d' $(LAST))
NEXT := $(shell echo $(LAST) | awk -F. -v OFS=. '{$$NF += 1 ; print}')
changelog:
	github_changelog_generator --future-release=$(NEXT) --since-commit=$(SINCE)

## python-npe2 0.7.2

=== debian/changelog ===
python-npe2 (0.7.2-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 08 Aug 2023 09:54:19 +0200

python-npe2 (0.7.2-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219, then tweaked by
    hand.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Aug 2023 16:24:29 +0200

=== debian/control ===
Source: python-npe2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
	       pybuild-plugin-pyproject,
	       python3-hatchling,
	       python3-hatch-vcs,
	       python3-psygnal,
	       python3-pydantic,
	       python3-yaml,
	       python3-appdirs,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/python-npe2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-npe2
Rules-Requires-Root: no

Package: python3-npe2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: napari plugin engine v2
 This is a refatoring of the napari plugin engine

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=npe2
%:
	dh $@ --with python3 --buildsystem=pybuild

## python-npe2 0.7.6

=== debian/changelog ===
python-npe2 (0.7.6-1) unstable; urgency=medium

  * New upstream release. This fixes: "FTBFS: TypeError:
    ForwardRef._evaluate() missing 1 required keyword-only argument:
    'recursive_guard', thanks to Lucas Nussbaum (Closes: #1073375).
  * Update Build-Dependencies for testsuite.
  * Disable testsuite for now, as it tries importing a deprecated module
    (napari_plugin_engine).
  * Bug fix: "Please replace python3-appdirs dependency with
    platformdirs", thanks to Simon McVittie (Closes: #1067998).

 -- Roland Mas <lolando@debian.org>  Tue, 02 Jul 2024 17:54:28 +0200

=== debian/control ===
Source: python-npe2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatch-vcs,
 python3-hatchling,
 python3-jsonschema,
 python3-magicgui,
 python3-numpy,
 python3-platformdirs,
 python3-psygnal,
 python3-pydantic,
 python3-pytest,
 python3-tomli,
 python3-tomli-w,
 python3-typer,
 python3-yaml,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/python-npe2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-npe2
Rules-Requires-Root: no

Package: python3-npe2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: napari plugin engine v2
 This is a refactoring of the napari plugin engine

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=npe2
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

## python-npe2 0.7.7

=== debian/changelog ===
python-npe2 (0.7.7-2) unstable; urgency=medium

  * Re-enable testsuite (and depend on python3-napari-plugin-engine), but
    skip tests that depend on network access and tests that would operate
    on installed code.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Oct 2024 10:50:55 +0200

python-npe2 (0.7.7-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Sun, 15 Sep 2024 14:11:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,23 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
- Roland Mas <lolando@debian.org>
-Build-Depends: debhelper-compat (= 13),
- dh-python,
+ Roland Mas <lolando@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-hatch-vcs,
  python3-hatchling,
  python3-jsonschema,
  python3-magicgui,
+ python3-napari-plugin-engine,
  python3-numpy,
  python3-platformdirs,
  python3-psygnal,
  python3-pydantic,
  python3-pytest,
+ python3-pytest-pretty,
  python3-tomli,
  python3-tomli-w,
  python3-typer,
@@ -30,6 +33,8 @@
 
 Package: python3-npe2
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: napari plugin engine v2
  This is a refactoring of the napari plugin engine

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=npe2
export PYBUILD_TEST_ARGS=-k "not fetch and not test_cli_convert_svg and not test_conversion and not test_render_docs" tests
%:
	dh $@ --buildsystem=pybuild

## python-npe2 0.7.8

=== debian/changelog ===
python-npe2 (0.7.8-1) unstable; urgency=medium

  * Team upload.
  * Explicitly skip test_setuptools_plugin, as otherwise it fails in GitLab
    CI despite not running on buildds.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Feb 2025 09:19:22 +0000

python-npe2 (0.7.7-3) unstable; urgency=medium

  * Team upload.
  * Tolerate distributions with no Name (part of #1090247).
  * Add Homepage field.

 -- Colin Watson <cjwatson@debian.org>  Wed, 01 Jan 2025 00:24:30 +0000

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  python3-typer,
  python3-yaml,
 Standards-Version: 4.6.2.0
+Homepage: https://github.com/napari/npe2
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-npe2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-npe2

## python-npe2 0.7.9

=== docs/requirements.txt ===
jupyter-book
furo
Jinja2
sphinx-tabs
magicgui

=== debian/changelog ===
python-npe2 (0.7.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.9
  * All patches have been accepted upstream

  [ klmurussi ]
  * d/patches: Forwarded 0001-Use-platformdirs-instead-of-appdirs.patch to upstream (PR #382)
  * d/patches: Forwarded 0002-Ignore-importlib-s-DeprecationWarning.patch to upstream (PR #382)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 15:14:56 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  python3-pydantic,
  python3-pytest,
  python3-pytest-pretty,
- python3-tomli,
  python3-tomli-w,
  python3-typer,
  python3-yaml,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=npe2
export PYBUILD_TEST_ARGS=-k "not fetch and not test_cli_convert_svg and not test_conversion and not test_render_docs and not test_setuptools_plugin" tests
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/npe2/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/npe2/npe2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-npe2 0.8.1

=== debian/changelog ===
python-npe2 (0.8.1-1) unstable; urgency=medium

  * New upstream release. This fixes Python 3.14 compatibility (closes: #1123271).

 -- Roland Mas <lolando@debian.org>  Sun, 15 Feb 2026 14:50:03 +0100

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-platformdirs,
  python3-psygnal,
  python3-pydantic,
+ python3-pydantic-extra-types,
  python3-pytest,
  python3-pytest-pretty,
  python3-tomli-w,

=== debian/watch ===
Version: 5

Template: Github
Owner: napari
Project: npe2
Uversion-Mangle: s/(rc|a|b|c)/~$1/
